> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tags

> Retrieve all tags matching the optional filter criteria. Results are scoped to the customer
context provided in the request headers — including the customer's own tags, parent customer
tags, and all SYSTEM tags. Sibling customer tags are excluded.

Results are sorted in descending order by `updatedAt`.

Filtering within a single parameter applies **OR** logic (e.g. `categories=FRAUD,SCAM` returns
tags in either category). Filtering across different parameters applies **AND** logic
(e.g. `categories=FRAUD&domains=ONBOARDING` returns tags that are both FRAUD and ONBOARDING).




## OpenAPI

````yaml /specs/fc-core-bundled_generated.yaml get /v2/tags
openapi: 3.0.3
info:
  title: Core V2 API
  version: 2.0.0
  description: >-
    This is the APIs for V2 Core. It allows you to do common operations, such as
    read audit entries or get workflow lists.
  contact:
    name: FrankieOne
    url: https://www.frankieone.com/
    email: help@frankieone.com
servers:
  - url: https://api.uat.frankie.one
    description: UAT Environment API Base URL
  - url: https://api.frankie.one
    description: Production API Base URL
security:
  - Api-Key: []
tags:
  - name: Audit
    description: Manage audit entries
  - name: Customers
    description: Manage customer accounts
  - name: Request
    description: Retrieve background request results
  - name: Reports
    description: Generate and manage reports
  - name: Workflow Definitions
    description: Create and update workflow definitions
  - name: Status
    description: All valid customers will get a successful response.
  - name: Workflows
    description: Manage Workflows and Workflow Definitions
  - name: Tags
    description: Query tags and tag mappings on objects
paths:
  /v2/tags:
    parameters:
      - $ref: '#/components/parameters/Api-Key'
      - $ref: '#/components/parameters/X-Frankie-CustomerID'
      - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
      - $ref: '#/components/parameters/X-Frankie-Channel'
      - $ref: '#/components/parameters/X-Frankie-Username'
    get:
      tags:
        - Tags
      summary: List tags
      description: >
        Retrieve all tags matching the optional filter criteria. Results are
        scoped to the customer

        context provided in the request headers — including the customer's own
        tags, parent customer

        tags, and all SYSTEM tags. Sibling customer tags are excluded.


        Results are sorted in descending order by `updatedAt`.


        Filtering within a single parameter applies **OR** logic (e.g.
        `categories=FRAUD,SCAM` returns

        tags in either category). Filtering across different parameters applies
        **AND** logic

        (e.g. `categories=FRAUD&domains=ONBOARDING` returns tags that are both
        FRAUD and ONBOARDING).
      operationId: listTags
      parameters:
        - $ref: '#/components/parameters/query_tag_types'
        - $ref: '#/components/parameters/query_tag_categories'
        - $ref: '#/components/parameters/query_tag_domains'
        - $ref: '#/components/parameters/query_tag_ids'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - requestId
                  - meta
                  - tags
                properties:
                  requestId:
                    $ref: '#/components/schemas/Request-ID'
                  meta:
                    $ref: '#/components/schemas/List-Operation-Meta'
                  tags:
                    type: array
                    description: List of tags matching the filter criteria.
                    items:
                      $ref: '#/components/schemas/Tag'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid EntityId:
                  value:
                    errorCode: API-0400,
                    errorMsg: 'Multiple Errors: See Issues list'
                    details:
                      - issue: 'entityId in path must be of type uuid: "test"'
                        issueLocation: VALIDATE-entityId
                    requestId: 01HM5XJ7VASZ3EJMB1VQGTBFJ4
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid authentication:
                  value:
                    errorCode: AUTH-0002,
                    errorMsg: Unauthorized
                    details:
                      - issue: Invalid Authentication provided. Access denied.
                        issueLocation: request
                    requestId: 00000000S6MNG7624K2TDXT1E3
                No Api-Key:
                  value:
                    errorCode: AUTH-0401
                    errorMsg: Unauthorized
                    details:
                      - issue: No api key provided. Access denied.
                        issueLocation: request
                    requestId: 00000001S6MNG7624K2TDXT1E3
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Api-Key: []
components:
  parameters:
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    X-Frankie-Username:
      name: X-Frankie-Username
      in: header
      description: Username provided by API caller
      required: false
      schema:
        type: string
        example: fred.flintstone@frankieone.com
    query_tag_types:
      name: types
      in: query
      required: false
      explode: false
      style: form
      schema:
        type: array
        items:
          $ref: '#/components/schemas/Tag-Type'
      description: >-
        Filter tags by type. Supports multiple comma-separated values (OR
        logic).
      example:
        - SYSTEM
        - CUSTOMER
    query_tag_categories:
      name: categories
      in: query
      required: false
      explode: false
      style: form
      schema:
        type: array
        items:
          type: string
      description: >-
        Filter tags by category. Supports multiple comma-separated values (OR
        logic).
      example:
        - FRAUD
        - SCAM
    query_tag_domains:
      name: domains
      in: query
      required: false
      explode: false
      style: form
      schema:
        type: array
        items:
          type: string
      description: >-
        Filter tags by domain. Supports multiple comma-separated values (OR
        logic).
      example:
        - ACTIVITY_MONITORING
        - ONBOARDING
    query_tag_ids:
      name: tagIds
      in: query
      required: false
      explode: false
      style: form
      schema:
        type: array
        items:
          type: string
          format: uuid
      description: >-
        Filter by specific tag IDs. Supports multiple comma-separated values (OR
        logic).
      example:
        - 550e8400-e29b-41d4-a716-446655440000
    page:
      in: query
      name: page
      example: 2
      schema:
        type: integer
      description: The page number that you want to retrieve for the list query
    limit:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 1
        default: 20
      example: 20
      description: Limit the number of items that will be returned as part of the request
  schemas:
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    List-Operation-Meta:
      type: object
      description: >-
        Meta information about the request and response returned during a list
        operation.
      properties:
        page:
          type: integer
          description: The current page number of the request.
        total:
          type: integer
          description: The total number of items found for the search criteria.
        limit:
          type: integer
          description: The limit applied to this response.
        count:
          type: integer
          description: The number of items returned in this response.
        sort:
          type: string
          enum:
            - asc
            - desc
          description: The sort order applied to the items in the response.
        sortFields:
          type: array
          items:
            type: string
            enum:
              - createdAt
              - updatedAt
    Tag:
      type: object
      required:
        - tagId
        - label
        - createdAt
        - updatedAt
      allOf:
        - $ref: '#/components/schemas/Tag-Base'
        - $ref: '#/components/schemas/Tag-Meta'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Tag-Type:
      description: >
        The type of the tag.

        - SYSTEM: A tag created by FrankieOne. The `createdBy` and `updatedBy`
        fields will be omitted for SYSTEM tags.

        - CUSTOMER: A tag created by the customer.
      type: string
      enum:
        - SYSTEM
        - CUSTOMER
    Tag-Base:
      type: object
      required:
        - tagId
        - label
      properties:
        tagId:
          type: string
          format: uuid
          description: Unique identifier for the tag.
          example: 12345678-1234-1234-1234-123456789012
          readOnly: true
        label:
          type: string
          description: Human-readable name for the tag.
          example: ROMANCE_SCAM
        description:
          type: string
          description: Optional description for the tag.
          example: Indicates a potential romance scam.
        category:
          type: string
          description: Category used to group tags.
          example: FRAUD
        type:
          $ref: '#/components/schemas/Tag-Type'
        domain:
          type: string
          description: Optional domain context for the tag.
          example: ACTIVITY_MONITORING
    Tag-Meta:
      type: object
      required:
        - createdAt
        - updatedAt
      properties:
        createdBy:
          type: string
          nullable: true
          description: The user who created the tag. Omitted for SYSTEM tags.
        createdAt:
          type: string
          format: date-time
          description: The date on which the tag was created.
        updatedBy:
          type: string
          nullable: true
          description: The user who last updated the tag. Omitted for SYSTEM tags.
        updatedAt:
          type: string
          format: date-time
          description: The date on which the tag was last updated.
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''

````